package javaxt.geospatial.geometry;

//******************************************************************************
//**  Ellipse Class - By Peter Borissow
//******************************************************************************
/**
 *   Enter class description
 *
 ******************************************************************************/

public class Ellipse implements Geometry {
    
    
    public String srs = "EPSG:4326";
    
  //**************************************************************************
  //** Creates a new instance of Ellipse
  //**************************************************************************
    
    public Ellipse(){
    }
    
    
  //**************************************************************************
  //** getSRS
  //**************************************************************************
  //** Sets the srs attribute for this Geometry. */
    
    public void setSRS(String srsName){
        srs = srsName;
    }
    
    
  //**************************************************************************
  //** getSRS
  //**************************************************************************
  //** Returns the srs name of this Geometry. */
    
    public String getSRS(){
        return srs;
    }
    
    
  //**************************************************************************
  //** getName
  //**************************************************************************
  /** Returns the name of this Geometry. */
    
    public String getName(){ 
        return new Geometry.Name(this).toString(); 
    }
    
    
  //**************************************************************************
  //** toGML
  //**************************************************************************
  /**  NOT IMPLEMENTED/NOT APPLICABLE - NO EQUIVALENT IN GML */
    
    public String toGML(){
        return ""; //not supported
    }
    
    
    public String toDB2(){
        return "";
    }
    
    public String toSQS(){
        return "";
    }
}
